import { FeatureSystem } from '../../core/feature-system';

export type FiringMode = 'single' | 'burst' | 'auto';

export class DamageSystem extends FeatureSystem {
    setDeathState(_player: PlayerMp, _state: DeathState): boolean { return true; }
    isPlayerAlive(_player: PlayerMp): boolean { return true; }
}

export const damageSystem = new DamageSystem();
